package com.ruoyi.system.service;

import com.ruoyi.system.domain.QyCzrxx;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 出资人信息表Service接口
 *
 * @author ruoyi
 * @date 2019-09-10
 */
public interface IQyCzrxxService
{
    /**
     * 查询出资人信息表
     *
     * @param id 出资人信息表ID
     * @return 出资人信息表
     */
    QyCzrxx selectQyCzrxxById(Long id);
    /**
     * 查询出资人信息表
     *
     * @return 出资人信息表
     */
    List<QyCzrxx> selectQyCzrxxByBsid(String bsid);

    /**
     * 查询出资人信息表列表
     *
     * @param qyCzrxx 出资人信息表
     * @return 出资人信息表集合
     */
    List<QyCzrxx> selectQyCzrxxList(QyCzrxx qyCzrxx);

    /**
     * 新增出资人信息表
     *
     * @param qyCzrxx 出资人信息表
     * @return 结果
     */
    int insertQyCzrxx(QyCzrxx qyCzrxx);

    /**
     * 修改出资人信息表
     *
     * @param qyCzrxx 出资人信息表
     * @return 结果
     */
    int updateQyCzrxx(QyCzrxx qyCzrxx);

    /**
     * 批量删除出资人信息表
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteQyCzrxxByIds(String ids);

    /**
     * 删除出资人信息表信息
     *
     * @param id 出资人信息表ID
     * @return 结果
     */
    int deleteQyCzrxxById(Long id);

    int insertQyCzr(HttpServletRequest request);

}
